<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100169";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}

////++++++++++++++ FIN CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width"/>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>
<!-- Termina Validador de Inactividad -->

<!-- Inicia Busqueda con Ajax -->
<link rel="stylesheet" type="text/css" href="BusquedasAjax/estilos.css">
<script src="BusquedasAjax/ajax.js"></script>
<script>
function myFunction(){
var n=document.getElementById('bus').value;
if(n==''){
 document.getElementById("myDiv").innerHTML="";
 document.getElementById("myDiv").style.border="0px";
 document.getElementById("pers").innerHTML="";
 return;
}

loadDoc("q="+n,"BusquedasAjax/proc.php?CtaSKP=<?PHP echo $CtaSesionEn; ?>&VPN=<?PHP echo $VpnEn; ?>",function(){
  if (xmlhttp.readyState==4 && xmlhttp.status==200){
    document.getElementById("myDiv").innerHTML=xmlhttp.responseText;
    document.getElementById("myDiv").style.border="1px solid #A5ACB2";
    }else{ document.getElementById("myDiv").innerHTML='<img src="BusquedasAjax/load.gif" width="50" height="50" />'; }

  });
}

//-------------------------------

function myFunction2(cod){
document.getElementById("myDiv").innerHTML="";
document.getElementById("myDiv").style.border="0px";
loadDoc("vcod="+cod,"BusquedasAjax/proc2.php?VPN=<?PHP echo $VpnEn; ?>",function(){
  if (xmlhttp.readyState==4 && xmlhttp.status==200){
    document.getElementById("pers").innerHTML=xmlhttp.responseText;
    }else{ document.getElementById("pers").innerHTML='<img src="BusquedasAjax/load.gif" width="50" height="50" />'; }
  });
}

</script>

<!-- Nueva Busqueda -->

<script>
function myFunction3(){
var n=document.getElementById('bus3').value;
if(n==''){
 document.getElementById("myDiv2").innerHTML="";
 document.getElementById("myDiv2").style.border="0px";
 document.getElementById("pers2").innerHTML="";
 return;
}

loadDoc("q="+n,"BusquedasAjax/proc3.php?CtaSKP=<?PHP echo $CtaSesionEn; ?>&VPN=<?PHP echo $VpnEn; ?>",function(){
  if (xmlhttp.readyState==4 && xmlhttp.status==200){
    document.getElementById("myDiv2").innerHTML=xmlhttp.responseText;
    document.getElementById("myDiv2").style.border="1px solid #A5ACB2";
    }else{ document.getElementById("myDiv2").innerHTML='<img src="BusquedasAjax/load.gif" width="50" height="50" />'; }

  });
}

//-------------------------------

function myFunction4(cod){
document.getElementById("myDiv2").innerHTML="";
document.getElementById("myDiv2").style.border="0px";
loadDoc("vcod="+cod,"BusquedasAjax/proc4.php?VPN=<?PHP echo $VpnEn; ?>",function(){
  if (xmlhttp.readyState==4 && xmlhttp.status==200){
    document.getElementById("pers2").innerHTML=xmlhttp.responseText;
    }else{ document.getElementById("pers2").innerHTML='<img src="BusquedasAjax/load.gif" width="50" height="50" />'; }
  });
}

</script>
<!-- Termina Busqueda con Ajax -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<div data-role="page" id="page">
<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
		
		/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}

			$FechCodAgr = date("Y/m/d");
			///////Generar la visualización automatica del ultimo codigo agrupador///////////
			$sqlID2 = "select max(ID) as ultimo_FOLIO2 from tabla_documentos"; 
			$lib2 = mysql_query($sqlID2); 
			$rs_lib2 = mysql_fetch_assoc($lib2); 
			$id_nuevo2 = $rs_lib2['ultimo_FOLIO2'];
						
			$sql_MCA = mysql_query("select CODIGO_AGRUPADOR from tabla_documentos where ID='$id_nuevo2'");
			if (mysql_numrows($sql_MCA)==0) echo "";
			else{
			$registro_MCA=mysql_fetch_array($sql_MCA);
			}
			if (mysql_numrows($sql_MCA)>0)
			{
			$MCodAgr=$registro_MCA["CODIGO_AGRUPADOR"];
			}
////++++++++++++++ FIN CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////

?>

	<div data-role="header">    
		<h1>|| LOGSYS - WMS ||</h1>
	</div>
  <div data-role="content" align="center">	
		<!-- Inicia Cuerpo de la Pantalla -->
		
      <form id="neo" name="neo" method="post" action="7-ReciboPreClasifica_CD2.php">
        <table border="0" style="border-collapse: collapse" width="233">
  		<tr>
		    <td colspan="2" align="center"><font class="Clase_TipoLetra">Creación de Documento</font></td>
	      </tr>
		  <tr>
		    <td width="77">&nbsp;</td>
		    <td width="113">&nbsp;</td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Documento:</b></font></td>
		    <td><input name="txt_Docu" type="text" id="txt_Docu" size="25" autofocus="autofocus"/></td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Fecha Dcto:</b></font></td>
		    <td><input name="txt_FeDctoFis" type="text" id="txt_FeDctoFis" size="25" placeholder="Fecha del Dcto Fisico"/></td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Ref. 1:</b></font></td>
		    <td><input name="txt_Ref1" type="text" id="txt_Ref1" size="25" placeholder="Etiqueta de Color"/></td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Ref. 2:</b></font></td>
		    <td><input name="txt_Ref2" type="text" id="txt_Ref2" size="25" placeholder="Nombre del Transportista"/></td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Ref. 3:</b></font></td>
		    <td><input name="txt_Ref3" type="text" id="txt_Ref3" size="25" placeholder="Codigo Agrupador"/><?PHP echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;".$MCodAgr; ?></td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Fecha Agrp:</b></font></td>
		    <td><input name="txt_FeCodAg" type="text" id="txt_FeCodAg" size="25" placeholder="Fecha del Cod Agrupador" value="<?PHP echo $FechCodAgr; ?>"/></td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b># Pallets:</b></font></td>
		    <td><input name="txt_NoPall" type="text" id="txt_NoPall" size="25" placeholder="Número de Pallets"/></td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b># Paquetes:</b></font></td>
		    <td><input name="txt_NoPaque" type="text" id="txt_NoPaque" size="25" placeholder="Número de Paquetes"/></td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Peso:</b></font></td>
		    <td><input name="txt_Peso" type="text" id="txt_Peso" size="25" placeholder="Peso del Paquete"/></td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>TipoEntrada:</b></font></td>
		    <td>
            <?PHP
				$sql= "Select CVE_TIPOENTRADA,NOM_TIPOENTRADA FROM wms_configura_tipoentrada WHERE CVE_CUENTA='$CveCueCR1' AND CVE_TIPOENTRADA='3' ORDER BY CVE_TIPOENTRADA ASC";
				$hacer_consulta=mysql_query($sql,$conexion);
				
				if ($row = mysql_fetch_array($hacer_consulta)){ 
				echo '<select name= "Cmb_TiEnt" id="Cmb_TiEnt" class="textoINPUT">';
				do { 
					  echo '<option value= "'.$row["CVE_TIPOENTRADA"].'" title="'.$row["CVE_TIPOENTRADA"].' - '.$row["NOM_TIPOENTRADA"].'">'.$row["CVE_TIPOENTRADA"].'</option>';
					} 
					while ($row = mysql_fetch_array($hacer_consulta)); 
				echo '</select>';
				}					
			?>
            </td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Proveedor:</b></font></td>
		    <td><input type="text" id="bus" onkeyup="myFunction()" size="25" required="required" autofocus="autofocus" placeholder="Buscar" /></td>
	      </tr>
		  <tr>
		    <td>&nbsp;</td>
		    <td>
    	        <div id="myDiv"></div>
				<br />
				<div id="pers"></div>
            </td>
	      </tr>
		  <tr>
		    <td><font class="Clase_TipoLetra"><b>Remitente:</b></font></td>
		    <td><input type="text" id="bus3" onkeyup="myFunction3()" size="25" required="required" autofocus="autofocus" placeholder="Buscar" /></td>
	      </tr>
		  <tr>
		    <td>&nbsp;</td>
		    <td>
            	<div id="myDiv2"></div>
				<br />
				<div id="pers2"></div>
            </td>
	      </tr>
		  <tr>
		    <td colspan="2"><input type="hidden" name="UsuKP"
		value="<?PHP echo $UsuEn; ?>" />
              <input type="hidden" name="TokenKP"
		value="<?PHP echo $TokEn; ?>" />
              <input type="hidden" name="IdDAcce"
		value="<?PHP echo $IDSeEn; ?>" />
        	  <input type="hidden" name="CtaSKP"
		value="<?PHP echo $CtaSesionEn; ?>" />
              <input type="hidden" name="VPN"
		value="<?PHP echo $VpnEn; ?>" />
            <input type="hidden" name="LT"
		value="<?PHP echo $LtEn; ?>" /></td>
	      </tr>
		  <tr>
		    <td colspan="2" align="center"><input type="submit" name="button" id="button" value="Aplicar" />
	        <input type="button" value="Regresar" onclick=" window.location.href='<?PHP echo"7-MenuReciboPreClasifica.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn";?>' " /></td>
	      </tr>
	    </table>
	</form>

      <!-- Termina Cuerpo de la Pantalla -->		
	</div>
	<div data-role="footer">
	  <h4><font size="2">www.logsyswms.com | Usuario: <?PHP echo $UsuEn; ?></font></h4>
  </div>
</div>
<!-- Termina Cuerpo de la Interfaz Gráfica -->
<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>

</body>
</html>
